<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">

<h:head>
	<title>Creditos</title>
</h:head>

<h:body>
	<ui:composition template="./main.xhtml">
		<ui:define name="content">


			<p:fieldset legend="Creditos" styleClass="container">
				<p:outputPanel class="ui-grid ui-grid-responsive">
					<div class="ui-grid-col-1"></div>
					<div class="ui-grid-col-5">
						<h:form id="FormaCreditos">
							<p:growl id="msj" />
							<h:panelGrid styleClass="card" style="width:44.2%; margin:auto;">

								<f:facet name="header">
									<h3>Aprobacion del Credito</h3>
								</f:facet>
								<h:panelGrid columns="4" styleClass="grids">
									<em><p:outputLabel value="DUI: " /></em>
									<p:selectOneMenu value="#{controlBean.persona.id}" var="per"
										effect="fold" editable="true" filter="true">
										<f:selectItem value="#{per.nombre}" itemLabel="Seleccione" />
										<f:selectItems value="" />
									</p:selectOneMenu>

									<br />
									<br />
									<br />
									<br />
									<em><p:outputLabel value="Cliente: " /></em>
									<p:selectOneMenu value="#{controlBean.persona.id}"
										effect="fold" editable="true" filter="true">
										<f:selectItem value="#{controlBean.persona.nombre}"
											itemLabel="Seleccione" />
										<f:selectItems value="#{controlBean.persona}" var="ver"
											itemLabel="#{ver.nombre}" itemValue="#{ver.id}" />
									</p:selectOneMenu>
									<br />
									<br />
									<br />

									<m> <p:outputLabel value="Ingresos:" /></m>
									<p:inputText id="numero1" value="" onkeyup="reste()" />
									<br />
									<br />
									<br />

									<m> <p:outputLabel value="Egresos:" /></m>
									<p:inputText id="numero2" value=""
										onkeyup="reste();desabilitar(); return false;" />
									<br />
									<br />
									<br />

									<m> <p:outputLabel value="Total:" /></m>
									<p:inputText id="totel" value="" />
									<br />
									<br />
									<br />

									<p:commandButton id="but" onclick="desabilitar();" value="Validar" icon="pi pi-check" />
									<br />
									<br />
								</h:panelGrid>

							</h:panelGrid>

						</h:form>
					</div>

					<div class="ui-grid-col-4">
						<h:form id="FormCreditos">
							<p:growl id="msj" />

							<h:panelGrid styleClass="card" style="width:44.2%;">
								<f:facet name="header">
									<h3>Solicitud del Credito</h3>
								</f:facet>
								<h:panelGrid columns="4" styleClass="grids">
									<em><p:outputLabel value="Tipo De Abono: " id="mySelect" /></em>
									<p:selectOneMenu value="" effect="fold" editable="true">
										<f:selectItem itemLabel="Seleccione" itemValue="" />
										<f:selectItems value="#{selectOneMenuView.cities}" />
									</p:selectOneMenu>

									<br />
									<br />
									<br />
									<em><p:outputLabel value="Medio Pago: " /></em>
									<p:selectOneMenu id="city" value="" effect="fold"
										editable="true">
										<f:selectItem itemLabel="Seleccione" itemValue="" />
										<f:selectItems value="#{selectOneMenuView.cities}" />
									</p:selectOneMenu>

									<br />
									<br />
									<m> <p:outputLabel value="Monto:" /></m>
									<p:inputText value="" type="number" />
									<br />
									<br />
									<br />
									<m> <p:outputLabel value="Prima:" /></m>
									<p:inputText value="" type="number" />

									<br />
									<br />
									<br />
									<m> <p:outputLabel value="Plazo:" /></m>
									<p:inputText id="numero2" value="" />

									<br />
									<br />
									<br />
									<m> <p:outputLabel value="Cuota Mensual:" /></m>
									<p:inputText id="totel" value="" />
									<br />
									<p:commandButton value="Registrar" icon="pi pi-save" />

								</h:panelGrid>
							</h:panelGrid>

						</h:form>
					</div>
					<div class="ui-grid-col-2"></div>
				</p:outputPanel>
			</p:fieldset>


			<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
			<script type="text/javascript">

			function redirec(){
				
				window.location="http://localhost:8080/Sistema_Ventas/faces/main.xhtml";
				}
			
				function reste(){
					var v1 = document.getElementById("FormaCreditos:numero1").value;
					var v2 = document.getElementById("FormaCreditos:numero2").value;
					document.getElementById("FormaCreditos:totel").value = v1-v2;
				}

				function desabilitar() {

				var totel=document.getElementById("FormaCreditos:totel").value;
				var tot=parseInt(totel);
				if(tot>30)
					{
					 this.document.getElementById("FormaCreditos:but").style.display="block";
					 document.getElementById("FormaCreditos:but").style.opacity="1";
					}else{
				     document.getElementById("FormaCreditos:but").style.opacity="0.2";
				     Swal.fire({
				    	  icon: 'error',
				    	  title: 'El Credito Fue Denegado!',
				    	  text: 'Debido Al Cierre Del Proceso Se Redireccionara A Otro Sitio En Los Proximos 10s!',
				    	  
				    	})
				     setTimeout("redirec()",10000);
				     			     
					 	}
			 	}

				</script>
			<ui:include src="/footer.xhtml" />
		</ui:define>
	</ui:composition>

</h:body>
</html>